## GulkanUniformBuffer

GulkanUniformBuffer

## Functions

GulkanUniformBuffer * | gulkan_uniform_buffer_new ()
void | gulkan_uniform_buffer_update ()
VkBuffer | gulkan_uniform_buffer_get_handle ()

## Types and Values

#define | GULKAN_TYPE_UNIFORM_BUFFER
| GulkanUniformBuffer

## Object Hierarchy

        GObject
        ╰── GulkanUniformBuffer

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_uniform_buffer_new ()

    GulkanUniformBuffer *
    gulkan_uniform_buffer_new (GulkanDevice *device,
                               VkDeviceSize size);

### gulkan_uniform_buffer_update ()

    void
    gulkan_uniform_buffer_update (GulkanUniformBuffer *self,
                                  gpointer *s);

### gulkan_uniform_buffer_get_handle ()

    VkBuffer
    gulkan_uniform_buffer_get_handle (GulkanUniformBuffer *self);

## Types and Values

### GULKAN_TYPE_UNIFORM_BUFFER

    #define GULKAN_TYPE_UNIFORM_BUFFER gulkan_uniform_buffer_get_type()

### GulkanUniformBuffer

    typedef struct _GulkanUniformBuffer GulkanUniformBuffer;